Summary:	Sphinx extension: auto-generate API docs from Zope interfaces
Summary(pl.UTF-8):	Rozszerzenie Sphinksa: automatyczne generowanie dokumentacji API z interfejsów Zope
Name:		python3-repoze.sphinx.autointerface
Version:	1.0.0
Release:	1
License:	BSD-like
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/repoze-sphinx-autointerface/
Source0:	https://files.pythonhosted.org/packages/source/r/repoze.sphinx.autointerface/repoze.sphinx.autointerface-%{version}.tar.gz
# Source0-md5:	63471c93810215ac7ad02b966ad16c39
URL:		https://pypi.org/project/repoze.sphinx.autointerface/
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package defines an extension for the Sphinx documentation system.
The extension allows generation of API documentation by introspection
of zope.interface instances in code.

%description -l pl.UTF-8
Ten pakiet definiuje rozszerzenie systemu dokumentacji Sphinx,
pozwalające generować dokumentację API poprzez wgląd w instancje
zope.interface w kodzie.

%prep
%setup -q -n repoze.sphinx.autointerface-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/repoze/sphinx/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst CONTRIBUTORS.txt COPYRIGHT.txt LICENSE.txt README.rst TODO.txt
# XXX: dir shared with repoze.*
%dir %{py3_sitescriptdir}/repoze
%dir %{py3_sitescriptdir}/repoze/sphinx
%{py3_sitescriptdir}/repoze/sphinx/autointerface.py
%{py3_sitescriptdir}/repoze/sphinx/__pycache__
%{py3_sitescriptdir}/repoze.sphinx.autointerface-%{version}-py*.egg-info
%{py3_sitescriptdir}/repoze.sphinx.autointerface-%{version}-py*-nspkg.pth
%changelog
* Wed Apr 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-repoze.sphinx.autointerface.git;a=log;h=master

* Wed Apr 16 2025 Jakub Bogusz <qboosh@pld-linux.org> fc69076
- python-repoze.sphinx.autointerface.spec updated to 1.0.0 for python 3.6+/Sphinx 4+

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 1a44c93
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> f5f7539
- python 3.13 rebuild

* Mon Sep 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 5393004
- python2 note

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 1b40954
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> d68b792
- Release 5 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 964f29f
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 5f20fe0
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 0e08669
- release 2 (by relup.sh)

* Sun Dec 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 53ef8f2
- new

